#CONFIG_PM=y
CONFIG_PM_PARTITION_SIZE_MCUBOOT=0x10000
# CONFIG_BOOT_USE_MIN_PARTITION_SIZE=y
CONFIG_BOOT_SWAP_USING_SCRATCH=n
CONFIG_PM_EXTERNAL_FLASH_MCUBOOT_SECONDARY=y
#CONFIG_PM_SINGLE_IMAGE=y
CONFIG_SINGLE_APPLICATION_SLOT=n
CONFIG_BOOT_DIRECT_XIP=n
CONFIG_MULTITHREADING=y
#CONFIG_BOOT_MAX_IMG_SECTORS=256
#CONFIG_PM_OVERRIDE_EXTERNAL_DRIVER_CHECK=y

CONFIG_FACTORY_MODE=y
CONFIG_UART_CONSOLE=y

CONFIG_LOG=y

# The build won't fit on the partition allocated for it without size
# optimizations.
CONFIG_SIZE_OPTIMIZATIONS=y

# Serial
CONFIG_SERIAL=y
CONFIG_UART_LINE_CTRL=y

CONFIG_FLASH=y
CONFIG_SPI=y
CONFIG_SPI_NOR=y
CONFIG_SPI_NOR_FLASH_LAYOUT_PAGE_SIZE=4096

CONFIG_UART_NRFX=y
CONFIG_NRFX_UARTE0=y

